/* cfile-stream-test.cc */
/* Created by Enomoto Sanshiro on 31 August 2003. */
/* Last updated by Enomoto Sanshiro on 31 August 2003. */


#include <cstdio>
#include <iostream>
#include <string>
#include "MushCFileStream.hh"

using namespace std;


int main(int argc, char **argv)
{
    FILE* CFile = popen("gzip - > foo.gz", "w");
    if ((CFile == NULL) || ((int) CFile < 0)) {
	cerr << "ERROR: unable to open pipe" << endl;
	return -1;
    }
    TMushOutputCFileStream File(CFile);

    string Line;
    while (getline(cin, Line)) {
	File << Line << endl;
    }

    pclose(CFile);

    return 0;
}
